Can't run on Mac OS. getting error

Hi, I am trying to run openbullet2 web client on my Mac. I have installed dotnet core latest version and and also have downloaded the latest openbullet but when I try to run it I am getting error.

dotnet ./OpenBullet2.dll
Error:
An assembly specified in the application dependencies manifest (OpenBullet2.deps.json) was not found:
package: ‘SQLitePCLRaw.lib.e_sqlite3’, version: ‘2.0.4’
path: ‘runtimes/osx-x64/native/libe_sqlite3.dylib’

1 Like

Just tried it with latest dotnet install.
Seems the sqlite library was not signed properly by Microsoft. Maybe the signature is too old or so.
I’ll recommend that @Ruri updates the package for next release.

In the meantime do this;
After trying to start OB2 you should get a security warning about the dll.
Don’t let it move to trash but do following:

  1. Open System Preferences.
  2. Go to Security & Privacy and select the General tab.
  3. click the temporary button ‘Open Anyway’. (maybe you need to unlock first)
  4. You’ll be asked one more time if you’re sure, and say yes there

from now on you should be able to start ob2

2 Likes

can you please help im having trouble putting on my Mac